%define dname 4Suite-XML
%define version 1.0.2
%define release 5
%define pyver 2.4
%define python python2.4

Name:           %{python}-%{dname}
Summary:        4Suite is a suite of Python modules for XML and RDF processing
Version:        %{version}
Release:        %mkrel %release
Source0:        http://belnet.dl.sourceforge.net/sourceforge/foursuite/%{dname}-%{version}.tar.bz2
Patch:          4Suite-XML-1.0.2-format-security.patch
URL:            http://4suite.org/

Group:          Development/Python
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:        Apache Software License
Requires:       %{python} >= 2.2.1

Packager:       Fabien Morin <fabien.morin@gmail.com>

%description
4Suite is a platform for XML processing and knowledge-management, consisting of
a library of integrated tools for XML processing, and an XML data repository
and server with a rules-based engine.

%prep
%setup -q -n %{dname}-%{version}
%patch -p1 -b .format-security
perl -p -i -e "s,Script\('[^']+,$&2.4,g" packages/Xml.pkg

%build
%{python} setup.py build
perl -p -i -e "s,/env python$,$&2.4,g" build/scripts*/*

%install
rm -rf $RPM_BUILD_ROOT
%{python} setup.py install --prefix=/usr --root $RPM_BUILD_ROOT --install-lib %{_libdir}/python%pyver/site-packages/ --record=INSTALLED_FILES
rm -rf $RPM_BUILD_ROOT/usr/share/doc/4Suite/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%{_libdir}/python%pyver/site-packages/4Suite_XML-%{version}-py%pyver.egg-info
%{_libdir}/python%pyver/site-packages/Ft
%{_bindir}/4x*
/usr/lib/4Suite/
%{_datadir}/4Suite/

%doc COPY* README docs/

%changelog
* Sun Sep  9 2007 Kazuhiko Shiozaki <kazuhiko@nexedi.com> 1.0.2-5nxd2009.0
- add '4Suite-XML-1.0.2-format-security.patch'

* Sun Sep  9 2007 Kazuhiko Shiozaki <kazuhiko@nexedi.com> 1.0.2-4mdv2007.1
- add '2.4' suffix to /usr/bin/*

* Sat Jun 30 2007 Jean-Paul Smets <jp@nexedi.com> 1.0.2-3mdv2007.1
- Find installed files using INSTALLED_FILES
- use _libdir in install

* Mon May 28 2007 Jean-Paul Smets <jp@nexedi.com> 1.0.2-2mdv2007.1
- Various name changes
- Specify python version

* Mon May 21 2007 Fabien Morin <fabien.morin@gmail.com> 1.0.2-1mdk
- Initial release
